Summary: A C++ template library aimed at combinatorial optimization tasks.
Name: @PACKAGE_TARNAME@
Version: @PACKAGE_VERSION@
Release: 1
License: Boost
URL: http://lemon.cs.elte.hu
Source0: %{name}-%{version}.tar.gz
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
# Requires: glpk
# BuildRequires: glpk-devel

%description
LEMON stands for Library of Efficient Models and
Optimization in Networks. It is a C++ template
library aimed at combinatorial optimization tasks,
especially those working with graphs and networks.

%prep
%setup -q

%build
%configure --enable-gui --with-glpk --without-cplex
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/glemon
%{_includedir}/%{name}
%{_libdir}/lib*
%{_libdir}/pkgconfig/lemon.pc
%doc %{_datadir}/doc/%{name}
%doc AUTHORS COPYING LICENSE NEWS README
